use zarcillo;
set session binlog_format=ROW;
INSERT INTO instances (name, server, port, `group`) VALUES ('{{ copy_mariadb_host_dst_host_short }}','{{ copy_mariadb_host_dst_host }}',{{ dst_port|default(3306)}}, '{{ mariadb_group }}');
INSERT INTO section_instances (instance, section) VALUES ('{{ copy_mariadb_host_dst_host_short }}','{{ mariadb_section }}');
INSERT INTO servers (fqdn, hostname, dc, rack) VALUES ('{{ copy_mariadb_host_dst_host }}', '{{ copy_mariadb_host_dst_host_short }}', '{{ mariadb_dc }}', '{{ mariadb_rack }}');
{#
    this template is a WIP and should not be used as is.
    it requires sourcing for the following vars:
        dst_port
    later checks should include:
        validating host does not already exist
        it should not care for copy_mariadb_host_dst_host or copy_mariadb_host_src_host
        it could allow to delete a server
        it could allow to provision a server
#}